/*
 * Copyright 2005-2008 by beck et al. projects GmbH, Munich
 * Copyright 2009 by Kappich Systemberatung, Aachen
 * 
 * This file is part of de.bsvrz.ars.ars.
 * 
 * de.bsvrz.ars.ars is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * de.bsvrz.ars.ars is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with de.bsvrz.ars.ars; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package de.bsvrz.ars.ars.persistence.index;

/**
 * Allgemeine Exception fr Index Fehler. Alle anderen Exceptions leiten sich von dieser Klasse ab.
 *
 * @author beck et al. projects GmbH
 * @author Phil Schrettenbrunner
 * @version $Revision: 8213 $ / $Date: 2010-09-28 17:00:20 +0200 (Di, 28 Sep 2010) $ / ($Author: rs $)
 */
public class IndexException extends Exception {

	/**
	 *
	 */
	private static final long serialVersionUID = 1L;

	/**
	 * IndexException mit Fehlermeldung
	 *
	 * @param msg Fehlermeldung
	 */
	public IndexException(String msg) {
		super(msg);
	}

	/**
	 * IndexException mit Ursache-Exception
	 *
	 * @param e ausloesende Exception
	 */
	public IndexException(Exception e) {
		super(e);
	}

	public IndexException(final String message, final Throwable cause) {
		super(message, cause);
	}
}
